import 'package:json_annotation/json_annotation.dart';

part 'describable.g.dart';


@JsonSerializable()
class DescribableDTO {
  final String name;
  final String? description;

  const DescribableDTO({
    required this.name,
    this.description,
  });

  factory DescribableDTO.fromJson(Map<String, dynamic> json) => _$DescribableDTOFromJson(json);
  Map<String, dynamic> toJson() => _$DescribableDTOToJson(this);
}
